﻿using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.Threading;
using System.Windows.Media;
using Microsoft.VisualStudio.Text;
using Microsoft.VisualStudio.Text.Classification;
using Microsoft.VisualStudio.Text.Editor;
using Microsoft.VisualStudio.Text.Operations;
using Microsoft.VisualStudio.Text.Tagging;
using Microsoft.VisualStudio.Utilities;

namespace JAEE.AX.EditorExtension
{
    [Export(typeof(EditorFormatDefinition))]
    [Name("MarkerFormatDefinition/HighlightWordFormatDefinition")]
    [UserVisible(true)]
    internal class HighlightWordFormatDefinition : MarkerFormatDefinition
    {
        public HighlightWordFormatDefinition()
        {
            // JAEE: Colors by Name
            http://msdn.microsoft.com/es-es/library/aa358802(vs.85).aspx

            this.BackgroundColor = Colors.DarkSeaGreen;
            //this.ForegroundColor = Colors.DarkBlue;
            this.DisplayName = "Highlight Selected Word";
            this.ZOrder = 5;
        }

    }
}
